AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~

[討論]關於改選性質LISP的問題

上一篇主題 下一篇主題 向下

[討論]關於改選性質LISP的問題

發表 由 as920029as 于 2015-10-02, 07:07

因為有點久遠沒碰LISP
手邊也沒甚麼資料 當時是上網自學所以零零散散的 沒學得很好
我想寫一個 按一下 那個物件 然後把物件 線行改成我要的 這樣
已下是我寫的程式  但中間不知道該怎寫
(setq en (entsel "線"))
(setq en2 (entget (car en)))
(setq en3 (cdr (assoc 6 en2)))
目前到這邊= =然後不知道該怎用啥去改
想把原先預設值的線型 改成 我要的"CENTER"
這樣 有大大 能給點建議或提示嗎 愛哭
avatar
as920029as
一般會員
一般會員

文章總數 : 53
年齡 : 26
來自 : 台南市
職業 : 繪圖員
愛好 : 電腦遊戲
個性 : 開朗
使用年資 : 3年
使用版本 : 2010
經驗值 : 2307
威望值 : 31
注冊日期 : 2012-05-05
男 白羊座 羊

回頂端 向下

回復: [討論]關於改選性質LISP的問題

發表 由 Atsai 于 2015-10-03, 07:31

(defun c:tt (/ os ss obj)
(vl-load-com)
(setq os (getvar "osmode"))
(setvar "cmdecho" 0)
(if (= (tblsearch "LTYPE" "CENTER") nil)
(progn
(setq acadlinPath (findfile "acadiso.lin"))
(if acadlinPath
(command "linetype" "l" "CENTER" acadlinPath "")
)
)
)
(setq ss (ssget '((0 . "line,*polyline"))))
(setq i 0)
(repeat (sslength ss)
(setq obj (vlax-ename->vla-object (ssname ss i)))
(vla-put-Linetype obj "CENTER")
(setq i (1+ i))
)
(setvar "osmode" os)
)
avatar
Atsai
中級會員
中級會員

文章總數 : 115
年齡 : 42
來自 : 台中
職業 : 工程
愛好 : 看漫畫
個性 : 樂天
使用年資 : 10
使用版本 : 2010
AutoCAD基礎篇等級 : 10星級
積分 : 7
經驗值 : 2900
威望值 : 337
注冊日期 : 2012-04-06
男 金牛座 兔

回頂端 向下

回復: [討論]關於改選性質LISP的問題

發表 由 as920029as 于 2015-10-06, 10:07

感謝大大 我研究一下
avatar
as920029as
一般會員
一般會員

文章總數 : 53
年齡 : 26
來自 : 台南市
職業 : 繪圖員
愛好 : 電腦遊戲
個性 : 開朗
使用年資 : 3年
使用版本 : 2010
經驗值 : 2307
威望值 : 31
注冊日期 : 2012-05-05
男 白羊座 羊

回頂端 向下

上一篇主題 下一篇主題 回頂端


 
這個論壇的權限:
無法 在這個版面回復文章